Add Tool
curl --request POST \
--url https://eu-gcp-api.vg-stuff.com/v3/agents/{agentId}/tools \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tool": {
"name": "<string>",
"description": "<string>",
"isDefault": true,
"serverUrl": "<string>",
"serverUrlSecret": "<string>",
"disabled": true,
"isVapiTool": true,
"vapiId": "<string>",
"isGlobal": true,
"variablesIds": [
"<string>"
],
"toolsSettings": "<unknown>",
"fields": [
{
"in": "<string>",
"value": "<unknown>",
"defaultValue": "<unknown>",
"key": "<string>",
"description": "<string>",
"required": true,
"reusable": true,
"isEnv": true,
"isSystem": true,
"isGlobal": true,
"agentId": "<string>",
"userId": "<string>",
"id": "<string>"
}
],
"channels": []
}
}
'import requests
url = "https://eu-gcp-api.vg-stuff.com/v3/agents/{agentId}/tools"
payload = { "tool": {
"name": "<string>",
"description": "<string>",
"isDefault": True,
"serverUrl": "<string>",
"serverUrlSecret": "<string>",
"disabled": True,
"isVapiTool": True,
"vapiId": "<string>",
"isGlobal": True,
"variablesIds": ["<string>"],
"toolsSettings": "<unknown>",
"fields": [
{
"in": "<string>",
"value": "<unknown>",
"defaultValue": "<unknown>",
"key": "<string>",
"description": "<string>",
"required": True,
"reusable": True,
"isEnv": True,
"isSystem": True,
"isGlobal": True,
"agentId": "<string>",
"userId": "<string>",
"id": "<string>"
}
],
"channels": []
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tool: {
name: '<string>',
description: '<string>',
isDefault: true,
serverUrl: '<string>',
serverUrlSecret: '<string>',
disabled: true,
isVapiTool: true,
vapiId: '<string>',
isGlobal: true,
variablesIds: ['<string>'],
toolsSettings: '<unknown>',
fields: [
{
in: '<string>',
value: '<unknown>',
defaultValue: '<unknown>',
key: '<string>',
description: '<string>',
required: true,
reusable: true,
isEnv: true,
isSystem: true,
isGlobal: true,
agentId: '<string>',
userId: '<string>',
id: '<string>'
}
],
channels: []
}
})
};
fetch('https://eu-gcp-api.vg-stuff.com/v3/agents/{agentId}/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"isDefault": true,
"serverUrl": "<string>",
"serverUrlSecret": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"disabled": true,
"isVapiTool": true,
"vapiId": "<string>",
"isGlobal": true,
"variablesIds": [
"<string>"
],
"agentId": "<string>",
"userId": "<string>",
"backchannellingPhrases": [
"<string>"
],
"toolsSettings": "<unknown>",
"fields": [
{
"id": "<string>",
"in": "<string>",
"value": "<unknown>",
"defaultValue": "<unknown>",
"key": "<string>",
"description": "<string>",
"required": true,
"reusable": true,
"isEnv": true,
"isSystem": true,
"isGlobal": true,
"agentId": "<string>",
"userId": "<string>"
}
],
"channels": []
}
}{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Tools
Create Tool
Creates a new tool, this route must use the new V3 endpoints.
POST
/
agents
/
{agentId}
/
tools
Add Tool
Example Request
{
"tool": {
"name": "Get Weather",
"description": "Fetches current weather data for a given location",
"serverUrl": "https://api.example.com/weather",
"method": "GET",
"fields": [
{
"id": "location",
"key": "city",
"type": "string",
"in": "query",
"description": "City name for weather lookup",
"required": true
}
]
}
}
name and description are required. The description helps the AI understand when to use the tool.Configure
channels to restrict which platforms can use this tool (e.g., ["web-chat", "whatsapp"]).Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
⌘I
